//#########################################################################
// Last change: 16.09.2007
//#########################################################################
// hk@holger-klabunde.de
// http://www.holger-klabunde.de/index.html
//#########################################################################
// Compiler: AVR-GCC 4.1.1
//#########################################################################
//@{
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>

#include "serial.h"
#include "mem-check.h"
#include "printf.h"

//###################################################################################
/* Hauptprogramm */
int main(void)
//###################################################################################
{
 unsigned short i;
 
 ser_init();

 sei();              //enable interrupts

 printf("Holgi's MEM-CHECK Test\n");

 i=get_mem_unused();
 printf("Unused memory: %u\n",i);
 
 for(;;) // loop forever
  {
  }
}

//@}
